
TYPO3.Fluid - Bug # 8648

Status: New Priority: Should have
Author: Bastian Waidelich Category: ViewHelpers
Created: 2010-07-04 Assigned To:
Updated: 2011-10-21 Due date:
Has patch: No
Affected Flow version: FLOW3 1.0.0
Subject: format.crop ViewHelper should support all features of the crop stdWrap function
Description

Right now the format.crop ViewHelper only works partly in BE mode (v4) and is missing some features in v5. Also it can't handle
HTML content correctly yet.
All implementations should support the same feature set.

Related issues:
related to TYPO3.TypoScript - Task # 8647: CropProcessor should correctly cro... Closed 2010-07-04
related to TYPO3.TypoScript - Bug # 8646: CropProcessor should respect pre/su... Closed 2010-07-04

History
#1 - 2011-06-28 12:25 - Bastian Waidelich
- Assigned To deleted (Bastian Waidelich)
- Has patch set to No

#2 - 2011-07-19 23:41 - Stefan Neufeind

v4-implementation uses features from tslib_cObj, the v5-implementation substr currently. So that's why the CropProcessor would be needed here.

#3 - 2011-10-21 13:37 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0
